Jack2: Jack::JackAtomicDelayLockedLoop Class Reference

Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackAtomicDelayLockedLoop Class Reference
Inheritance diagram for Jack::JackAtomicDelayLockedLoop:

## Public Member Functions
| JackAtomicDelayLockedLoop (jack_nframes_t buffer_size, jack_nframes_t sample_rate)
void | Init (jack_time_t callback_usecs)
void | Init (jack_nframes_t buffer_size, jack_nframes_t sample_rate)
void | IncFrame (jack_time_t callback_usecs)
jack_nframes_t | Time2Frames (jack_time_t time)
jack_time_t | Frames2Time (jack_nframes_t frames)
Public Member Functions inherited from Jack::JackAtomicState< JackDelayLockedLoop >
JackDelayLockedLoop * | ReadCurrentState ()
| Returns the current state : only valid in the RT reader thread.
UInt16 | GetCurrentIndex ()
| Returns the current state index.
JackDelayLockedLoop * | TrySwitchState ()
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
JackDelayLockedLoop * | TrySwitchState (bool *result)
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
JackDelayLockedLoop * | WriteNextStateStart ()
| Start write operation : setup and returns the next state to update, check for recursive write calls.
void | WriteNextStateStop ()
| Stop write operation : make the next state ready to be used by the RT thread.
bool | IsPendingChange ()

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackAtomicState< JackDelayLockedLoop >
UInt32 | WriteNextStateStartAux ()
void | WriteNextStateStopAux ()
Protected Attributes inherited from Jack::JackAtomicState< JackDelayLockedLoop >
JackDelayLockedLoop | fState [2]
volatile AtomicCounter | fCounter
SInt32 | fCallWriteCounter

## Detailed Description

Definition at line 155 of file JackFilters.h.

The documentation for this class was generated from the following file:

- JackFilters.h